# TdApi.PushMessageContentChatAddMembers (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushMessageContentChatAddMembers

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContentChatAddMembers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentChatAddMembers

Enclosing class:
  TdApi

public static final class TdApi.PushMessageContentChatAddMembers extends TdApi.PushMessageContent
New chat members were invited to a group.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isCurrentUser`
True, if the current user was added to the group.
`boolean`
`isReturned`
True, if the user has returned to the group themselves.
`String`
`memberName`
Name of the added member.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContentChatAddMembers()`
New chat members were invited to a group.
`PushMessageContentChatAddMembers(DataInput input)`
New chat members were invited to a group.
`PushMessageContentChatAddMembers(String memberName, boolean isCurrentUser, boolean isReturned)`
New chat members were invited to a group.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### memberName

public String memberName
Name of the added member.

### isCurrentUser

public boolean isCurrentUser
True, if the current user was added to the group.

### isReturned

public boolean isReturned
True, if the user has returned to the group themselves.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PushMessageContentChatAddMembers

public PushMessageContentChatAddMembers()
New chat members were invited to a group.

### PushMessageContentChatAddMembers

public PushMessageContentChatAddMembers(String memberName, boolean isCurrentUser, boolean isReturned)
New chat members were invited to a group.

Parameters:
  `memberName` - Name of the added member.
  `isCurrentUser` - True, if the current user was added to the group.
  `isReturned` - True, if the user has returned to the group themselves.

### PushMessageContentChatAddMembers

public PushMessageContentChatAddMembers(DataInput input) throws IOException
New chat members were invited to a group.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`